/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

zakraGenerateSliderCSS( 'zakra_content_area_padding', '.zak-primary, .zak-secondary',['padding-top', 'padding-bottom'] );
zakraGenerateCSS( 'zakra_site_identity_color', '.site-title', 'color' );
zakraGenerateCSS( 'zakra_site_tagline_color', '.site-description', 'color' );
zakraGenerateSliderCSS( 'zakra_container_width', '.zak-container, .zak-container--boxed .zak-site', 'max-width');
zakraGenerateSliderCSS( 'zakra_button_border_radius', 'button, input[type="button"], input[type="reset"], input[type="submit"], #infinite-handle span, .wp-block-button .wp-block-button__link,.woocommerce a.button, .woocommerce a.button.alt, .woocommerce button.button, .woocommerce button.button.alt, .woocommerce ul.products a.button, .woocommerce div.product form.cart .button, .wp-block-button .wp-block-button__link, .tg-sticky-panel .tg-checkout-btn a', 'border-radius' );
zakraGenerateSliderWidthCss( 'zakra_sidebar_width', '.zak-secondary', '.zak-primary', 'width');
zakraGenerateDimensionCSS( 'zakra_header_button_padding', '.zak-header-buttons .zak-header-button--1 .zak-button, .zak-header-buttons .zak-button', 'padding' );
zakraGenerateCSS( 'zakra_header_button_color', '.zak-header-buttons .zak-header-button--1 .zak-button, .zak-header-buttons .zak-button', 'color' );
zakraGenerateCSS( 'zakra_header_button_hover_color', '.zak-header-buttons .zak-header-button--1 .zak-button:hover, .zak-header-buttons .zak-button:hover', 'color' );
zakraGenerateCSS( 'zakra_header_button_background_color', '.zak-header-buttons .zak-header-button--1 .zak-button, .zak-header-buttons .zak-button', 'background-color' );
zakraGenerateCSS( 'zakra_header_button_background_hover_color', '.zak-header-buttons .zak-header-button--1 .zak-button:hover, .zak-header-buttons .zak-button:hover', 'background-color' );
zakraGenerateCSS( 'zakra_top_bar_color', '.zak-header .zak-top-bar', 'color' );
zakraGenerateSliderCSS( 'zakra_main_header_border_bottom_width', '.zak-header, .zak-site-header.zak-site-header--transparent .zak-header-transparent-wrapper', 'border-bottom-width' );
zakraGenerateCSS( 'zakra_main_header_border_bottom_color', '.zak-header, .zak-site-header.zak-site-header--transparent .zak-header-transparent-wrapper', 'border-bottom-color' );
zakraGenerateSliderCSS( 'zakra_header_button_border_radius', '.zak-header-buttons .zak-header-button--1 .zak-button', 'border-radius');
zakraGenerateBackgroundCSS( 'zakra_top_bar_background', '.zak-site-header .zak-site-header-top' );
zakraGenerateBackgroundCSS( 'zakra_main_header_background_color', '.zak-main-header' );
zakraGenerateBackgroundCSS( 'zakra_inside_container_background', '.zak-content' );
zakraGenerateDimensionCSS( 'zakra_page_header_padding', '.has-page-header .zak-page-header', 'padding' );
zakraGenerateBackgroundCSS( 'zakra_page_header_background', '.has-page-header .zak-page-header, .zak-container--separate .zak-page-header' );
zakraGenerateCSS( 'zakra_breadcrumb_separator_color', '.zak-page-header .breadcrumb-trail ul li::after', 'color' );
zakraGenerateCSS( 'zakra_breadcrumbs_text_color', '.zak-page-header .breadcrumb-trail ul li', 'color' );
zakraGenerateCSS( 'zakra_breadcrumbs_link_color', '.zak-page-header .breadcrumb-trail ul li a', 'color' );
zakraGenerateCSS( 'zakra_breadcrumbs_link_hover_color', '.zak-page-header .breadcrumb-trail ul li a:hover ', 'color' );
zakraGenerateCSS( 'zakra_post_page_title_color', '.zak-page-header .zak-page-title,.zakra-single-article .zak-entry-header .entry-title', 'color' );
zakraGenerateBackgroundCSS( 'zakra_footer_bar_background', '.zak-footer-bar' );
zakraGenerateCSS( 'zakra_footer_bar_text_color', '.zak-footer-bar', 'color' );
zakraGenerateCSS( 'zakra_footer_bar_link_color', '.zak-footer-bar a', 'color' );
zakraGenerateCSS( 'zakra_footer_bar_link_hover_color', '.zak-footer-bar a:hover, .zak-footer-bar a:focus', 'color' );
zakraGenerateSliderCSS( 'zakra_footer_bar_border_top_width', '.zak-footer-bar', 'border-top-width');
zakraGenerateCSS( 'zakra_footer_bar_border_top_color', '.zak-footer-bar', 'border-top-color' );
zakraGenerateCSS( 'zakra_scroll_to_top_background', '.zak-scroll-to-top', 'background-color' );
zakraGenerateCSS( 'zakra_scroll_to_top_hover_background', '.zak-scroll-to-top:hover', 'background-color' );
zakraGenerateSliderCSS( 'zakra_primary_menu_border_bottom_width', '.zak-header .main-navigation', 'border-bottom-width' );
zakraGenerateTypographyCSS( 'zakra_breadcrumb_typography', '.zak-page-header .breadcrumb-trail ul li, .zak-page-header .yoast-breadcrumb-trail' );
zakraGenerateTypographyCSS( 'zakra_body_typography', 'body' );
zakraGenerateTypographyCSS( 'zakra_post_page_title_typography', '.zak-page-header .zak-page-title, .zakra-single-article .zak-entry-header .entry-title' );
zakraGenerateTypographyCSS( 'zakra_heading_typography', 'h1, h2, h3, h4, h5, h6' );
zakraGenerateTypographyCSS( 'zakra_site_title_typography', '.site-branding .site-title' );
zakraGenerateTypographyCSS( 'zakra_site_tagline_typography', '.site-branding .site-description' );
zakraGenerateTypographyCSS( 'zakra_main_menu_typography', '.zak-primary-nav ul li a' );
zakraGenerateTypographyCSS( 'zakra_sub_menu_typography', '.zak-primary-nav ul li ul li a' );
zakraGenerateTypographyCSS( 'zakra_mobile_menu_typography', '.zak-mobile-menu a' );
zakraGenerateTypographyCSS( 'zakra_blog_post_title_typography', '.entry-title:not(.zak-page-title), .zak-blog-archive-style--grid article.zakra-article .entry-title' );
zakraGenerateTypographyCSS( 'zakra_widget_title_typography', '.zak-secondary .widget .widget-title, .zak-secondary .widget .wp-block-heading' );
zakraGenerateTypographyCSS( 'zakra_widget_content_typography', '.zak-secondary .widget, .zak-secondary .widget li a' );
zakraGenerateTypographyCSS( 'zakra_h1_typography', 'h1' );
zakraGenerateTypographyCSS( 'zakra_h2_typography', 'h2' );
zakraGenerateTypographyCSS( 'zakra_h3_typography', 'h3' );
zakraGenerateTypographyCSS( 'zakra_h4_typography', 'h4' );
zakraGenerateTypographyCSS( 'zakra_h5_typography', 'h5' );
zakraGenerateTypographyCSS( 'zakra_h6_typography', 'h6' );
zakraGenerateBackgroundCSS( 'zakra_footer_column_background', '.zak-footer-cols' );
zakraGenerateCSS( 'zakra_footer_column_widget_text_color', '.zak-footer .zak-footer-cols, .zak-footer .zak-footer-cols p', 'color' );
zakraGenerateCSS( 'zakra_footer_column_widget_link_color', '.zak-footer .zak-footer-cols a, .zak-footer-col .widget ul a', 'color' );
zakraGenerateCSS( 'zakra_footer_column_widget_link_hover_color', '.zak-footer .zak-footer-cols a:hover, .zak-footer .zak-footer-cols a:focus, .zak-footer-col .widget ul a:hover', 'color' );
zakraGenerateSliderCSS( 'zakra_footer_column_border_top_width', '.zak-footer-cols', 'border-top-width' );
zakraGenerateCSS( 'zakra_footer_column_border_top_color', '.zak-footer-cols', 'border-top-color' );
zakraGenerateSliderCSS( 'zakra_footer_widgets_item_border_bottom_width', '.zak-footer-cols ul li', 'border-bottom-width' );
zakraGenerateCSS( 'zakra_footer_widgets_item_border_bottom_color', '.zak-footer-cols ul li', 'border-bottom-color' );

( function ( $ ) {

	function removeAndAppendHeaderAction() {
		if( $( '#masthead' ).find( '> .zak-site-header-bottom > .tg-header-container > .tg-header-action' ).length > 0 ) {

			let header_action = $( '#masthead' ).find('> .zak-site-header-bottom > .tg-header-container > .tg-header-action')[0];

			$( '#masthead' ).find('> .zak-site-header-bottom > .tg-header-container > .tg-header-action').remove();

			$( '#masthead' ).find('> .zak-site-header-bottom > .tg-header-container > .tg-block--two' ).append( header_action );
		}
	}

	// Site title.
	wp.customize(
		'blogname',
		function ( value ) {
			value.bind(
				function ( to ) {
					$( '.site-title a' ).text( to );
				}
			);
		}
	);

	// Site description.
	wp.customize(
		'blogdescription',
		function ( value ) {
			value.bind(
				function ( to ) {
					$( '.site-description' ).text( to );
				}
			);
		}
	);

	wp.customize(
		'header_textcolor',
		function ( value ) {
			value.bind( function ( to ) {

				if ( 'blank' === to ) {

					$( '.site-title, .site-description' ).css( {
						'clip'    : 'rect(1px, 1px, 1px, 1px)',
						'position': 'absolute'
					} );
				} else {

					$( '.site-title, .site-description' ).css( {
						'clip'    : 'auto',
						'position': 'relative'
					} );

					$( 'style#zakra_header_textcolor' ).remove();

					$( 'head' ).append( `<style id="zakra_header_textcolor">.site-title a, .site-description{ color: ${ to } }</style>` )
				}
			} );
		} );

	// Site Layout Option.
	wp.customize(
		'zakra_container_layout',
		function ( value ) {
			value.bind(
				function ( layout ) {

					if ( 'wide' === layout ) {
						$( 'body' ).removeClass( 'zak-container--boxed' ).addClass( 'zak-container--wide' );
					} else if ( 'boxed' === layout ) {
						$( 'body' ).removeClass( 'zak-container--wide' ).addClass( 'zak-container--boxed' );
					}
				}
			);
		}
	);

	// Content area Option.
	wp.customize(
		'zakra_content_area_layout',
		function ( value ) {
			value.bind(
				function ( layout ) {

					if ( 'bordered' === layout ) {
						$( 'body' ).removeClass( 'zak-content-area--boxed' ).addClass( 'zak-content-area--bordered' );
					} else if ( 'boxed' === layout ) {
						$( 'body' ).removeClass( 'zak-content-area--bordered' ).addClass( 'zak-content-area--boxed' );
					}
				}
			);
		}
	);

	// Main Header Layout 1 Style Option.
	wp.customize(
		'zakra_main_header_layout_1_style',
		function ( value ) {
			value.bind(
				function ( style ) {
					if ( 'style-1' === style ) {
						$( '#zak-masthead' ).removeClass( 'zak-layout-1-style-2' ).removeClass( 'zak-layout-1-style-3' ).removeClass( 'zak-layout-1-style-4' ).addClass( 'zak-layout-1-style-1' );
						removeAndAppendHeaderAction();
					} else if ( 'style-2' === style ) {
						$( '#zak-masthead' ).removeClass( 'zak-layout-1-style-3' ).removeClass( 'zak-layout-1-style-1' ).removeClass( 'zak-layout-1-style-4' ).removeClass('zak-menu--center').removeClass('zak-menu--right').removeClass('zak-menu--left').addClass( 'zak-layout-1-style-2' );
						removeAndAppendHeaderAction();
					} else if ( 'style-3' === style ) {
						$( '#zak-masthead' ).removeClass( 'zak-layout-1-style-1' ).removeClass( 'zak-layout-1-style-2' ).removeClass( 'zak-layout-1-style-4' ).removeClass('zak-menu--center').removeClass('zak-menu--right').removeClass('zak-menu--left').addClass( 'zak-layout-1-style-3' );
						removeAndAppendHeaderAction();
					} else if ( 'style-4' === style ) {
						$( '#zak-masthead' ).removeClass( 'zak-layout-1-style-1' ).removeClass( 'zak-layout-1-style-3' ).removeClass( 'zak-layout-1-style-2' ).removeClass('zak-menu--center').removeClass('zak-menu--right').removeClass('zak-menu--left').addClass( 'zak-layout-1-style-4' )
						removeAndAppendHeaderAction();
					}
				}
			);
		}
	);

	// Main header layout 2 Style Option.
	wp.customize(
		'zakra_main_header_layout_2_style',
		function ( value ) {
			value.bind(
				function ( style ) {
					if ( 'style-1' === style ) {
						$( '#zak-masthead' ).removeClass( 'zak-layout-2-style-2' ).removeClass( 'zak-layout-2-style-3' ).removeClass( 'zak-layout-2-style-4' ).addClass( 'zak-layout-2-style-1' );
						removeAndAppendHeaderAction();
					} else if ( 'style-2' === style ) {
						$( '#zak-masthead' ).removeClass( 'zak-layout-2-style-3' ).removeClass( 'zak-layout-2-style-1' ).removeClass( 'zak-layout-2-style-4' ).addClass( 'zak-layout-2-style-2' );
						removeAndAppendHeaderAction();
					} else if ( 'style-3' === style ) {
						$( '#zak-masthead' ).removeClass( 'zak-layout-2-style-1' ).removeClass( 'zak-layout-2-style-2' ).removeClass( 'zak-layout-2-style-4' ).addClass( 'zak-layout-2-style-3' );
						removeAndAppendHeaderAction();
					}
				}
			);
		}
	);

	// Site Layout Option.
	wp.customize(
		'zakra_main_header_layout',
		function ( value ) {
			value.bind(
				function ( layout ) {
					if ( 'layout-1' === layout ) {
						$( '#zak-masthead' ).removeClass( 'zak-layout-2' ).removeClass( 'zak-layout-3' ).addClass( 'zak-layout-1' ).removeClass( 'zak-layout-2-style-1' ).removeClass( 'zak-layout-2-style-2' ).removeClass( 'zak-layout-2-style-3' ).removeClass( 'zak-layout-3-style-1' ).removeClass( 'zak-layout-3-style-2' ).addClass( 'zak-layout-1-style-1' );
					} else if ( 'layout-2' === layout ) {
						$( '#zak-masthead' ).removeClass( 'zak-layout-1' ).removeClass( 'zak-layout-3' ).removeClass( 'zak-layout-1-style-1' ).removeClass( 'zak-layout-1-style-2' ).removeClass( 'zak-layout-1-style-3' ).removeClass( 'zak-layout-1-style-4' ).removeClass( 'zak-layout-3-style-1' ).removeClass( 'zak-layout-2-style-2' ).removeClass('zak-menu--center').removeClass('zak-menu--right').removeClass('zak-menu--left').addClass( 'zak-layout-2' ).addClass( 'zak-layout-2-style-1' );
					} else if ( 'layout-3' === layout ) {
						$( '#zak-masthead' ).removeClass( 'zak-layout-1' ).removeClass( 'zak-layout-2' ).removeClass( 'zak-layout-1-style-1' ).removeClass( 'zak-layout-1-style-2' ).removeClass( 'zak-layout-1-style-3' ).removeClass( 'zak-layout-1-style-4' ).removeClass( 'zak-layout-2-style-1' ).removeClass( 'zak-layout-2-style-2' ).removeClass( 'zak-layout-2-style-3' ).removeClass('zak-menu--center').removeClass('zak-menu--right').removeClass('zak-menu--left').addClass( 'zak-layout-3' ).addClass( 'zak-layout-3-style-1' );
					}
				}
			);
		}
	);

	// Site Layout Option.
	wp.customize(
		'zakra_header_main_style_mobile',
		function ( value ) {
			value.bind(
				function ( layout ) {
					if ( 'default' === layout ) {
						$( '#masthead' ).removeClass( 'zak-site-header-mob--center' ).removeClass( 'zak-site-header-mob--both-left' ).removeClass( 'zak-site-header-mob--both-right' ).removeClass( 'zak-site-header-mob--right' ).removeClass( 'zak-site-header-mob--left' );
					} else if ( 'left' === layout ) {
						$( '#masthead' ).removeClass( 'zak-site-header-mob--center' ).removeClass( 'zak-site-header-mob--both-left' ).removeClass( 'zak-site-header-mob--both-right' ).removeClass( 'zak-site-header-mob--right' ).addClass( 'zak-site-header-mob--left' );
					} else if ( 'center' === layout ) {
						$( '#masthead' ).removeClass( 'zak-site-header-mob--right' ).removeClass( 'zak-site-header-mob--left' ).removeClass( 'zak-site-header-mob--both-left' ).removeClass( 'zak-site-header-mob--both-right' ).addClass( 'zak-site-header-mob--center' );
					} else if ( 'right' === layout ) {
						$( '#masthead' ).removeClass( 'zak-site-header-mob--left' ).removeClass( 'zak-site-header-mob--center' ).removeClass( 'zak-site-header-mob--both-left' ).removeClass( 'zak-site-header-mob--both-right' ).addClass( 'zak-site-header-mob--right' );
					} else if ( 'both-left' === layout ) {
						$( '#masthead' ).removeClass( 'zak-site-header-mob--both-right' ).removeClass( 'zak-site-header-mob--right' ).removeClass( 'zak-site-header-mob--center' ).removeClass( 'zak-site-header-mob--left' ).addClass( 'zak-site-header-mob--both-left' )
					} else if ( 'both-right' === layout ) {
						$( '#masthead' ).removeClass( 'zak-site-header-mob--both-left' ).removeClass( 'zak-site-header-mob--right' ).removeClass( 'zak-site-header-mob--center' ).removeClass( 'zak-site-header-mob--left' ).addClass( 'zak-site-header-mob--both-right' );
					}
				}
			);
		}
	);

	wp.customize(
		'zakra_main_menu_active_color',
		function ( value ) {
			value.bind( function ( color ) {
				jQuery( 'style#zakra_main_menu_active_color' ).remove();
				jQuery('head').append(
					`<style id='zakra_main_menu_active_color'>
					.zak-primary-nav ul li:active > a, .zak-primary-nav ul > li:not(.zak-header-button).current_page_item > a, .zak-primary-nav ul > li:not(.zak-header-button).current_page_ancestor > a, .zak-primary-nav ul > li:not(.zak-header-button).current-menu-item > a, .zak-primary-nav ul > li:not(.zak-header-button).current-menu-ancestor > a {
						color: ${ color };
					}
					.zak-primary-nav.zak-layout-1-style-2 ul > li:not(.zak-header-button).current_page_item > a::before, .zak-primary-nav.zak-layout-1-style-2 ul > li:not(.zak-header-button).current_page_ancestor > a::before, .zak-primary-nav.zak-layout-1-style-2 ul > li:not(.zak-header-button).current-menu-item > a::before, .zak-primary-nav.zak-layout-1-style-2 ul > li:not(.zak-header-button).current-menu-ancestor > a::before, .zak-primary-nav.zak-layout-1-style-3 ul > li:not(.zak-header-button).current_page_item > a::before, .zak-primary-nav.zak-layout-1-style-3 ul > li:not(.zak-header-button).current_page_ancestor > a::before, .zak-primary-nav.zak-layout-1-style-3 ul > li:not(.zak-header-button).current-menu-item > a::before, .zak-primary-nav.zak-layout-1-style-3 ul > li:not(.zak-header-button).current-menu-ancestor > a::before, .zak-primary-nav.zak-layout-1-style-4 ul > li:not(.zak-header-button).current_page_item > a::before, .zak-primary-nav.zak-layout-1-style-4 ul > li:not(.zak-header-button).current_page_ancestor > a::before, .zak-primary-nav.zak-layout-1-style-4 ul > li:not(.zak-header-button).current-menu-item > a::before, .zak-primary-nav.zak-layout-1-style-4 ul > li:not(.zak-header-button).current-menu-ancestor > a::before {
						background-color: ${color};
					}
				</style>`
				);
			} )
		} );

	// Site Layout Option.
	wp.customize(
		'zakra_page_header_layout',
		function ( value ) {
			value.bind(
				function ( style ) {
					if ( 'style-1' === style ) {
						$( '.zak-page-header' ).removeClass( 'zak-style-2' ).removeClass( 'zak-style-3' ).removeClass( 'zak-style-4' ).removeClass( 'zak-style-5' ).addClass( 'zak-style-1' );
					} else if ( 'style-2' === style ) {
						$( '.zak-page-header' ).removeClass( 'zak-style-1' ).removeClass( 'zak-style-3' ).removeClass( 'zak-style-4' ).removeClass( 'zak-style-5' ).addClass( 'zak-style-2' );
					} else if ( 'style-3' === style ) {
						$( '.zak-page-header' ).removeClass( 'zak-style-1' ).removeClass( 'zak-style-2' ).removeClass( 'zak-style-4' ).removeClass( 'zak-style-5' ).addClass( 'zak-style-3' );
					} else if ( 'style-4' === style ) {
						$( '.zak-page-header' ).removeClass( 'zak-style-1' ).removeClass( 'zak-style-2' ).removeClass( 'zak-style-3' ).removeClass( 'zak-style-5' ).addClass( 'zak-style-4' );
					} else if ( 'style-5' === style ) {
						$( '.zak-page-header' ).removeClass( 'zak-style-1' ).removeClass( 'zak-style-2' ).removeClass( 'zak-style-3' ).removeClass( 'zak-style-4' ).addClass( 'zak-style-5' );
					}
				}
			);
		}
	);

	wp.customize(
		'zakra_footer_bar_style',
		function ( value ) {
			value.bind( function ( layout ) {
				if ( 'style-1' === layout ) {
					$( '.zak-footer-bar' ).removeClass( 'zak-style-2' ).addClass( 'zak-style-1' );
				} else if ( 'style-2' === layout ) {
					$( '.zak-footer-bar' ).removeClass( 'zak-style-1' ).addClass( 'zak-style-2' );
				}
			} )
		}
	)
} )( jQuery );
